Bug 496140 - no autoload of padlock modules
no autoload of padlock modules
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 16:11 EDT by Holger Lubitz
Modified: 2009-12-18 04:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:16:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Holger Lubitz 2009-04-16 16:11:44 EDT
Description of problem:

Kernel 2.6.29.1 fails to autoload padlock modules on HP Mini with full disk encryption, making things run slow.


Version-Release number of selected component (if applicable):
kernel-2.6.29.1-30.fc10.i686

How reproducible:
Always.

Steps to Reproduce:
1. boot
2. lsmod | grep padlock
  
Actual results:
nothing.


Expected results:
padlock modules loaded.


Additional info:
Manual modprobe after booting works. 

But automatic loading worked on 2.6.27.19-170.2.35.fc10.i686, which gave

$ lsmod | grep padlock
padlock_sha             7552  0 
padlock_aes             8704  2 
aes_generic            31016  2 aes_i586,padlock_aes
crypto_blkcipher       17924  5 ecb,cbc,padlock_aes,dm_crypt

after booting.
Comment 1 Holger Lubitz 2009-04-16 16:21:24 EDT
lsmod | grep aes for 2.6.29.1-30:

aes_i586                7356  2 
aes_generic            26724  1 aes_i586

lsmod | grep aes for 2.6.27.19-170.2.35:

$ lsmod | grep aes
aes_i586               11520  0 
padlock_aes             8704  2 
aes_generic            31016  2 aes_i586,padlock_aes
crypto_blkcipher       17924  5 ecb,cbc,padlock_aes,dm_crypt
Comment 2 Chuck Ebbert 2009-04-16 22:25:51 EDT
Probably caused by commit a760a6656e6f00bb0144a42a048cf0266646e22c
Comment 3 Chuck Ebbert 2009-04-21 04:47:39 EDT
Should be fixed in 2.6.29.1-37
Comment 4 Chuck Ebbert 2009-04-22 17:53:15 EDT
video adapter is:
01:00.0 VGA compatible controller [0300]: nVidia Corporation Quadro FX 570M [10de:040c] (rev a1)

Are you using the nouveau driver or the nvidia proprietary driver?

nouveau doesn't work and the nvidia driver may need an update.
Comment 5 Fedora Update System 2009-04-22 19:59:15 EDT
kernel-2.6.29.1-42.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.1-42.fc10
Comment 6 Chuck Ebbert 2009-04-24 00:28:10 EDT
This should really be fixed in kernel-2.6.29.2-46.rc1
Comment 7 Fedora Update System 2009-04-27 17:32:40 EDT
kernel-2.6.29.1-42.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3999
Comment 8 Fedora Update System 2009-04-27 22:08:32 EDT
kernel-2.6.29.2-52.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.2-52.fc10
Comment 9 Fedora Update System 2009-05-02 12:31:50 EDT
kernel-2.6.29.2-52.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4132
Comment 10 Fedora Update System 2009-05-11 11:07:30 EDT
kernel-2.6.29.3-60.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.3-60.fc10,hal-0.5.12-15.20081027git.fc10
Comment 11 Fedora Update System 2009-05-12 00:08:06 EDT
kernel-2.6.29.3-60.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4818
Comment 12 Fedora Update System 2009-05-25 19:08:26 EDT
kernel-2.6.29.4-75.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.4-75.fc10,hal-0.5.12-15.20081027git.fc10
Comment 13 Fedora Update System 2009-05-27 15:05:08 EDT
kernel-2.6.29.4-75.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5527
Comment 14 Fedora Update System 2009-06-17 08:07:40 EDT
kernel-2.6.29.5-84.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.5-84.fc10,hal-0.5.12-15.20081027git.fc10
Comment 15 Fedora Update System 2009-06-19 09:37:49 EDT
kernel-2.6.29.5-84.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6717
Comment 16 Fedora Update System 2009-07-07 11:08:52 EDT
kernel-2.6.29.6-93.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-93.fc10,hal-0.5.12-15.20081027git.fc10
Comment 17 Fedora Update System 2009-07-16 02:58:38 EDT
kernel-2.6.29.6-93.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7573
Comment 18 Fedora Update System 2009-08-15 10:00:05 EDT
kernel-2.6.29.6-97.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-97.fc10
Comment 19 Fedora Update System 2009-08-17 18:04:25 EDT
kernel-2.6.29.6-97.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8697
Comment 20 Fedora Update System 2009-08-19 23:57:35 EDT
kernel-2.6.29.6-99.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-99.fc10
Comment 21 Fedora Update System 2009-08-21 21:03:53 EDT
kernel-2.6.29.6-99.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8870
Comment 22 Bug Zapper 2009-11-18 06:44:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2009-12-18 04:16:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.